This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 880653 - include libreoffice in DVD installation by default
include libreoffice in DVD installation by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 09:06 EST by Kamil Páral
Modified: 2014-08-05 04:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-05 04:14:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-11-27 09:06:15 EST
Description of problem:
There was a new overhaul of comps in F18. Anaconda package selection is completely new. It still selects GNOME by default. But some important parts should be selected by default as well and they are not. The most visible regression is LibreOffice. If Bob doesn't enter the package selection screen at all, because "GNOME Desktop" description satisfies him, he ends up in an environment without any office suite.

Bob downloaded nearly 4 GB image file and ended up without an office suite in a default installation? This can't be intentional.

If Jane opens the package selection screen, the LibreOffice checkbox is hidden way below the screen edge. Since she assumes reasonable defaults, she won't bother carefully examining all the optional groups and she won't find out that LibreOffice is unchecked by default.

Bob and Jane agrees that LibreOffice checkbox is a good thing, because Igor hates LibreOffice and wants to install Fedora without it. The checkbox is convenient for Igor. But both Bob and Jane are annoyed that the checkbox default state is off, while the reasonable behavior would be to have it enabled.

Version-Release number of selected component (if applicable):
F18 Beta

How reproducible:
always

Steps to Reproduce:
1. perform a default installation, not changing anything
2. try to create a new/open existing document or spreadsheet

Additional information:
This is a regression. We used to install office suite by default in the past releases.
Comment 1 Kamil Páral 2012-11-27 09:28:09 EST
I have asked the Desktop team to provide some feedback here:
http://lists.fedoraproject.org/pipermail/desktop/2012-November/007690.html
Comment 2 Kamil Páral 2012-12-12 04:32:16 EST
Just for the record, Bill Nottingham said this:
> The problem is the current infrastructure doesn't allow for it to be
> installed by default while remaining deselectable. While that might
> get fixed, it's highly unlikely to get fixed for F18.

We might of course still hardcode it as a part of the default GNOME desktop offering for Fedora 18 to fix this, if there is enough will.
Comment 3 Kamil Páral 2012-12-13 07:45:39 EST
Marking as CommonBugs. We have to document that LibreOffice has to be manually selected to be part of the GNOME installation (a change from previous Fedora releases).

Moving to Rawhide. Hopefully the comps infrastructure will be ready in Fedora 19 so that we can make LibreOffice selected by default, while still being de-selectable.
Comment 4 Fedora End Of Life 2013-04-03 12:33:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Václav Pavlín 2014-08-05 04:14:14 EDT
Libre Office are now installed by default in GNOME Desktop.

Note You need to log in before you can comment on or make changes to this bug.